!IM    Implemente en modes sequentiel et parallele

       CALL gather(latitude_deg,rlat_glo)
       CALL bcast(rlat_glo)
       CALL gather(longitude_deg,rlon_glo)
       CALL bcast(rlon_glo)

!$OMP MASTER
      if (is_mpi_root) then
!
       zstophy = pdtphys
       zout = -1
!
       idayref = day_ref
       CALL ymds2ju(annee_ref, 1, idayref, 0.0, zjulian)
!
       CALL gr_fi_ecrit(1,klon,nbp_lon,nbp_lat,rlon_glo,zx_lon)
       if (nbp_lon.gt.1) then
       DO i = 1, nbp_lon
         zx_lon(i,1) = rlon_glo(i+1)
         zx_lon(i,nbp_lat) = rlon_glo(i+1)
       ENDDO
       endif
       CALL gr_fi_ecrit(1,klon,nbp_lon,nbp_lat,rlat_glo,zx_lat)
!
       CALL histbeg("paramLMDZ_phy.nc",  &
                       np,zx_lon(np:np,1), np,zx_lat(1,np:np), &
                       1,1,1,1, &
                       itau_phy, zjulian, dtime, &
                       nhori, nid_ctesGCM)
!
       CALL histdef(nid_ctesGCM, "R_ecc",  &
                      "Excentricite","-", &
                      1,1,nhori, 1,1,1, -99, 32, &
                      "ave(X)", zstophy,zout)
!
       CALL histdef(nid_ctesGCM, "R_peri",  &
                      "Equinoxe","-", &
                      1,1,nhori, 1,1,1, -99, 32, &
                      "ave(X)", zstophy,zout)
!
       CALL histdef(nid_ctesGCM, "R_incl",  &
                      "Inclinaison","deg", &
                      1,1,nhori, 1,1,1, -99, 32, &
                      "ave(X)", zstophy,zout)
!
       CALL histdef(nid_ctesGCM, "solaire",  &
                      "Constante solaire","W/m2", &
                      1,1,nhori, 1,1,1, -99, 32, &
                      "ave(X)", zstophy,zout)
!
       CALL histdef(nid_ctesGCM, "co2_ppm",  &
                      "Concentration du CO2", "ppm", &
                      1,1,nhori, 1,1,1, -99, 32,  &
                      "ave(X)", zstophy,zout)
!
       CALL histdef(nid_ctesGCM, "CH4_ppb",  &
                      "Concentration du CH4", "ppb", &
                      1,1,nhori, 1,1,1, -99, 32,  &
                      "ave(X)", zstophy,zout)
!
       CALL histdef(nid_ctesGCM, "N2O_ppb", &
                      "Concentration du N2O", "ppb", &
                      1,1,nhori, 1,1,1, -99, 32, &
                      "ave(X)", zstophy,zout)
!
       CALL histdef(nid_ctesGCM, "CFC11_ppt", &
                      "Concentration du CFC11", "ppt", &
                      1,1,nhori, 1,1,1, -99, 32, &
                      "ave(X)", zstophy,zout)
!
       CALL histdef(nid_ctesGCM, "CFC12_ppt", &
                      "Concentration du CFC12", "ppt", &
                      1,1,nhori, 1,1,1, -99, 32, &
                      "ave(X)", zstophy,zout)
!
!=================================================================
!
       CALL histend(nid_ctesGCM)
       
       endif !(is_mpi_root)
!$OMP END MASTER
!=================================================================
